public class fin3
{
public static void main(String arg[])
{double r1=0.05;//m
 double r2=0.15; //m
 double m=Math.sqrt(40/5e-2);
 double eta=2.0*r1/(m*(r2*r2-r1*r1))*(Mathd.K(1,m*r1)*Mathd.I(1,m*r2)-Mathd.I(1,m*r1)*Mathd.K(1,m*r2))/(Mathd.K(0,m*r1)*Mathd.I(1,m*r2)+Mathd.I(0,m*r1)*Mathd.K(1,m*r2));
 double Q=eta*20.0*Math.PI*(r2*r2-r1*r1)*160.0;
 System.out.println("eta="+eta+"Q="+Q);
 }

}